package com.hongyegroup.cpt_business.ui.activity

import android.content.Intent
import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.lib_baselib.base.vm.EmptyViewModel
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.utils.CommUtils
import com.hongyegroup.cpt_business.R
import com.hongyegroup.cpt_business.databinding.ActivityBusinessAppointmentMakeBinding

/**
 * 公司预约列表
 * 为指定的员工预约 选择员工列表
 */
class BusinessAppointmentChooseEmployeeActivity : YYBaseVDBActivity<EmptyViewModel, ActivityBusinessAppointmentMakeBinding>() {

    companion object {
        fun startInstance() {
            val context = CommUtils.getContext()
            val intent = Intent(context, BusinessAppointmentChooseEmployeeActivity::class.java)
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)
            context.startActivity(intent)
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_business_appointment_make)
    }

    override fun startObserve() {

    }

    override fun init(savedInstanceState: Bundle?) {


    }


}